GrailsEnvironment (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons.env
[Java] Class GrailsEnvironment

    java.lang.Object
      org.springframework.core.env.AbstractEnvironment
          org.springframework.core.env.StandardEnvironment
              org.springframework.web.context.support.StandardServletEnvironment
                  org.codehaus.groovy.grails.commons.env.GrailsEnvironment

    public class GrailsEnvironment
    extends org.springframework.web.context.support.StandardServletEnvironment

Bridges Grails' existing environment API with the new Spring 3.1 environment profiles API.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary

Fields inherited from class org.springframework.web.context.support.StandardServletEnvironment
SERVLET_CONTEXT_PROPERTY_SOURCE_NAME, SERVLET_CONFIG_PROPERTY_SOURCE_NAME, JNDI_PROPERTY_SOURCE_NAME, SYSTEM_ENVIRONMENT_PROPERTY_SOURCE_NAME, SYSTEM_PROPERTIES_PROPERTY_SOURCE_NAME, IGNORE_GETENV_PROPERTY_NAME, ACTIVE_PROFILES_PROPERTY_NAME, DEFAULT_PROFILES_PROPERTY_NAME

Fields inherited from class org.springframework.core.env.StandardEnvironment
SYSTEM_ENVIRONMENT_PROPERTY_SOURCE_NAME, SYSTEM_PROPERTIES_PROPERTY_SOURCE_NAME, IGNORE_GETENV_PROPERTY_NAME, ACTIVE_PROFILES_PROPERTY_NAME, DEFAULT_PROFILES_PROPERTY_NAME

Constructor Summary
`GrailsEnvironment(GrailsApplication grailsApplication)`

Method Summary
`protected java.util.Set` | `doGetActiveProfiles()`

Methods inherited from class org.springframework.web.context.support.StandardServletEnvironment
org.springframework.web.context.support.StandardServletEnvironment#initPropertySources(javax.servlet.ServletContext, javax.servlet.ServletConfig), org.springframework.web.context.support.StandardServletEnvironment#merge(org.springframework.core.env.ConfigurableEnvironment), org.springframework.web.context.support.StandardServletEnvironment#getSystemProperties(), org.springframework.web.context.support.StandardServletEnvironment#getActiveProfiles(), org.springframework.web.context.support.StandardServletEnvironment#getProperty(java.lang.String, java.lang.Class, java.lang.Object), org.springframework.web.context.support.StandardServletEnvironment#getProperty(java.lang.String, java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#getProperty(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#getProperty(java.lang.String, java.lang.Class), org.springframework.web.context.support.StandardServletEnvironment#toString(), org.springframework.web.context.support.StandardServletEnvironment#resolvePlaceholders(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#addActiveProfile(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#setActiveProfiles([Ljava.lang.String;), org.springframework.web.context.support.StandardServletEnvironment#setConversionService(org.springframework.core.convert.support.ConfigurableConversionService), org.springframework.web.context.support.StandardServletEnvironment#getConversionService(), org.springframework.web.context.support.StandardServletEnvironment#getPropertyAsClass(java.lang.String, java.lang.Class), org.springframework.web.context.support.StandardServletEnvironment#containsProperty(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#getRequiredProperty(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#getRequiredProperty(java.lang.String, java.lang.Class), org.springframework.web.context.support.StandardServletEnvironment#setDefaultProfiles([Ljava.lang.String;), org.springframework.web.context.support.StandardServletEnvironment#resolveRequiredPlaceholders(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#getPropertySources(), org.springframework.web.context.support.StandardServletEnvironment#validateRequiredProperties(), org.springframework.web.context.support.StandardServletEnvironment#getSystemEnvironment(), org.springframework.web.context.support.StandardServletEnvironment#setPlaceholderPrefix(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#getDefaultProfiles(), org.springframework.web.context.support.StandardServletEnvironment#acceptsProfiles([Ljava.lang.String;), org.springframework.web.context.support.StandardServletEnvironment#setPlaceholderSuffix(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#setValueSeparator(java.lang.String), org.springframework.web.context.support.StandardServletEnvironment#setRequiredProperties([Ljava.lang.String;), org.springframework.web.context.support.StandardServletEnvironment#setIgnoreUnresolvableNestedPlaceholders(boolean), org.springframework.web.context.support.StandardServletEnvironment#wait(long, int), org.springframework.web.context.support.StandardServletEnvironment#wait(long), org.springframework.web.context.support.StandardServletEnvironment#wait(), org.springframework.web.context.support.StandardServletEnvironment#equals(java.lang.Object), org.springframework.web.context.support.StandardServletEnvironment#hashCode(), org.springframework.web.context.support.StandardServletEnvironment#getClass(), org.springframework.web.context.support.StandardServletEnvironment#notify(), org.springframework.web.context.support.StandardServletEnvironment#notifyAll()

Methods inherited from class org.springframework.core.env.StandardEnvironment
org.springframework.core.env.StandardEnvironment#merge(org.springframework.core.env.ConfigurableEnvironment), org.springframework.core.env.StandardEnvironment#getSystemProperties(), org.springframework.core.env.StandardEnvironment#getActiveProfiles(), org.springframework.core.env.StandardEnvironment#getProperty(java.lang.String, java.lang.Class, java.lang.Object), org.springframework.core.env.StandardEnvironment#getProperty(java.lang.String, java.lang.String), org.springframework.core.env.StandardEnvironment#getProperty(java.lang.String), org.springframework.core.env.StandardEnvironment#getProperty(java.lang.String, java.lang.Class), org.springframework.core.env.StandardEnvironment#toString(), org.springframework.core.env.StandardEnvironment#resolvePlaceholders(java.lang.String), org.springframework.core.env.StandardEnvironment#addActiveProfile(java.lang.String), org.springframework.core.env.StandardEnvironment#setActiveProfiles([Ljava.lang.String;), org.springframework.core.env.StandardEnvironment#setConversionService(org.springframework.core.convert.support.ConfigurableConversionService), org.springframework.core.env.StandardEnvironment#getConversionService(), org.springframework.core.env.StandardEnvironment#getPropertyAsClass(java.lang.String, java.lang.Class), org.springframework.core.env.StandardEnvironment#containsProperty(java.lang.String), org.springframework.core.env.StandardEnvironment#getRequiredProperty(java.lang.String), org.springframework.core.env.StandardEnvironment#getRequiredProperty(java.lang.String, java.lang.Class), org.springframework.core.env.StandardEnvironment#setDefaultProfiles([Ljava.lang.String;), org.springframework.core.env.StandardEnvironment#resolveRequiredPlaceholders(java.lang.String), org.springframework.core.env.StandardEnvironment#getPropertySources(), org.springframework.core.env.StandardEnvironment#validateRequiredProperties(), org.springframework.core.env.StandardEnvironment#getSystemEnvironment(), org.springframework.core.env.StandardEnvironment#setPlaceholderPrefix(java.lang.String), org.springframework.core.env.StandardEnvironment#getDefaultProfiles(), org.springframework.core.env.StandardEnvironment#acceptsProfiles([Ljava.lang.String;), org.springframework.core.env.StandardEnvironment#setPlaceholderSuffix(java.lang.String), org.springframework.core.env.StandardEnvironment#setValueSeparator(java.lang.String), org.springframework.core.env.StandardEnvironment#setRequiredProperties([Ljava.lang.String;), org.springframework.core.env.StandardEnvironment#setIgnoreUnresolvableNestedPlaceholders(boolean), org.springframework.core.env.StandardEnvironment#wait(long, int), org.springframework.core.env.StandardEnvironment#wait(long), org.springframework.core.env.StandardEnvironment#wait(), org.springframework.core.env.StandardEnvironment#equals(java.lang.Object), org.springframework.core.env.StandardEnvironment#hashCode(), org.springframework.core.env.StandardEnvironment#getClass(), org.springframework.core.env.StandardEnvironment#notify(), org.springframework.core.env.StandardEnvironment#notifyAll()

Constructor Detail

### GrailsEnvironment

    public GrailsEnvironment(GrailsApplication grailsApplication)

Method Detail

### doGetActiveProfiles

    @java.lang.Override
    protected java.util.Set doGetActiveProfiles()

Groovy Documentation